Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000004Zandronum[All Projects] Suggestionpublic2010-09-05 16:212018-09-30 22:18
ReporterAnonymous 
Assigned ToDusk 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.0Fixed in Version3.0 
Summary0000004: Make ban descriptions a little "nicer".
DescriptionI remember this discussion on Doomworld:

http://www.doomworld.com/vb/doomworld-news/51717-skulltag-98-3rd-mix/ [^]

Someone was unfairly caught in a range ban and they felt alienated by the ban messages. I think that there are a few things here that could be done better:

1. For local bans, when the user caught in an IP range connects to the server, add a hard-coded message after the ban message that says something to the effect of:

"Your IP (<ip address>) has been banned from this server. If you feel this is in error, please contact <admin email address>."

2. For master bans, use this message:

"Your IP (<ip address>) has been banned from Skulltag. If you feel this is in error, please contact <url to contact form or email address>."

3. For forum bans, remove profanity from the existing bans, and add a link to a contact form or email address, similar to 2.

Just a small thing or two that might go a little way in improving our image.
Additional InformationBy the way, you might want to not give people control over the "priority" of bugs. :)
Attached Files

- Relationships

-  Notes
User avatar (0000002)
Blzut3 (administrator)
2010-09-05 16:42

"By the way, you might want to not give people control over the "priority" of bugs. :)"

I believe you can only set it initially. Once you report we're free to make corrections here. I think for now we should just wait to see if this will be abused.
User avatar (0000005)
Blzut3 (administrator)
2010-09-06 16:29

I was told that administration issues should be kept on the forums, so I'm closing this issue.
User avatar (0000006)
Eruanna (reporter)
2010-09-06 23:45

I am reopening this for points 1 and 2 - this isn't COMPLETELY apparant in the original suggestion and they were undermined by point 3 which made this appear to be an admin issue. Nevertheless, point 1 and 2 are meant as points for the Skulltag binary itself, rather than admin practices. This may need further feedback before consideration, however.
User avatar (0000007)
DevilHunter (reporter)
2010-09-07 03:10

I was gonna make a suggestion like this... But only to the VoteKick Reasons...

Should make it more like "You have been VoteKicked, and Temp-banned for 5 mins."

The current message seems a bit harsh, and I remember we had a discussion about this, but was never put in. Just want to make it more user friendly for everyone..
User avatar (0013424)
Dusk (developer)
2015-09-05 17:08

https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/20 [^]
User avatar (0013425)
cobalt (updater)
2015-09-05 17:45

Issue addressed by commit 9b63d506cbc5: Being banned from the server now shows contact information, being masterbanned now directs the banned user to the forums (resolves 4)
Committed by Teemu Piippo [Dusk] on Saturday 05 September 2015 20:07:11

Changes in files:

 docs/zandronum-history.txt | 1 +
 src/cl_main.cpp | 19 ++++++++++++++++++-
 src/sv_ban.cpp | 11 ++++++++++-
 src/sv_ban.h | 1 +
 src/sv_main.cpp | 13 ++++++++++---
 5 files changed, 40 insertions(+), 5 deletions(-)

User avatar (0013484)
DevilHunter (reporter)
2015-09-11 08:04

Ok... I'm gonna ask it.. How does this work exactly?? Does it just provide the host email to the user?
User avatar (0013485)
Dusk (developer)
2015-09-11 18:51

It provides whatever sv_hostemail is set to.
User avatar (0013533)
DevilHunter (reporter)
2015-09-19 17:54

Ah, well it works.
User avatar (0013625)
Dusk (developer)
2015-10-07 16:00

WaTaKiD confirmed this is fixed.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: ZzZombo
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2010-09-05 16:21 Anonymous New Issue
2010-09-05 16:42 Blzut3 Note Added: 0000002
2010-09-05 16:46 Blzut3 Description Updated View Revisions
2010-09-06 16:29 Blzut3 Note Added: 0000005
2010-09-06 16:29 Blzut3 Status new => closed
2010-09-06 16:29 Blzut3 Resolution open => no change required
2010-09-06 23:45 Eruanna Note Added: 0000006
2010-09-06 23:45 Eruanna Status closed => confirmed
2010-09-07 03:10 DevilHunter Note Added: 0000007
2015-09-05 15:23 Dusk Assigned To => Dusk
2015-09-05 15:23 Dusk Status confirmed => assigned
2015-09-05 15:23 Dusk Resolution no change required => reopened
2015-09-05 17:08 Dusk Note Added: 0013424
2015-09-05 17:08 Dusk Status assigned => needs review
2015-09-05 17:45 cobalt Status needs review => needs testing
2015-09-05 17:45 cobalt Target Version => 3.0
2015-09-05 17:45 cobalt Description Updated View Revisions
2015-09-05 17:45 cobalt Note Added: 0013425
2015-09-11 08:04 DevilHunter Note Added: 0013484
2015-09-11 18:51 Dusk Note Added: 0013485
2015-09-19 17:54 DevilHunter Note Added: 0013533
2015-10-07 16:00 Dusk Note Added: 0013625
2015-10-07 16:00 Dusk Status needs testing => resolved
2015-10-07 16:00 Dusk Fixed in Version => 3.0
2015-10-07 16:00 Dusk Resolution reopened => fixed
2018-09-30 22:18 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker